#!/bin/sh -e

#DEBHELPER#

if [ "$1" = "remove" ]; then
    # Stop the obsschedulers that we started by default
    deb-systemd-invoke stop obsscheduler@i586 >/dev/null || true
    deb-systemd-invoke stop obsscheduler@x86_64 >/dev/null|| true
    deb-systemd-invoke stop obsscheduler@armv7hl >/dev/null || true
    # Disable schedulers
    #deb-systemd-helper disable obsscheduler\@i586.service
    #deb-systemd-helper disable obsscheduler\@x86_64.service
    #deb-systemd-helper disable obsscheduler\@armv7hl.service
    # FIXME manually drop symlink, deb-systemd-helper does not support
    # template services yet.
    rm -f /etc/systemd/system/multi-user.target.wants/obsscheduler\@i586.service
    rm -f /etc/systemd/system/multi-user.target.wants/obsscheduler\@x86_64.service
    rm -f /etc/systemd/system/multi-user.target.wants/obsscheduler\@armv7hl.service
    # tell systemd to reload
    if [ -d /run/systemd/system ]; then
	systemctl --system daemon-reload >/dev/null || true
    fi
fi
